Get Payment Options For Buying Edaler
curl --request POST \
--url https://{host}/Agent/Wallet/GetPaymentOptionsForBuyingEDaler \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serviceId": "<string>",
"serviceProvider": "<string>",
"successUrl": "<string>",
"failureUrl": "<string>",
"cancelUrl": "<string>",
"transactionId": "<string>",
"tabId": "<string>",
"functionName": "<string>"
}
'import requests
url = "https://{host}/Agent/Wallet/GetPaymentOptionsForBuyingEDaler"
payload = {
"serviceId": "<string>",
"serviceProvider": "<string>",
"successUrl": "<string>",
"failureUrl": "<string>",
"cancelUrl": "<string>",
"transactionId": "<string>",
"tabId": "<string>",
"functionName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serviceId: '<string>',
serviceProvider: '<string>',
successUrl: '<string>',
failureUrl: '<string>',
cancelUrl: '<string>',
transactionId: '<string>',
tabId: '<string>',
functionName: '<string>'
})
};
fetch('https://{host}/Agent/Wallet/GetPaymentOptionsForBuyingEDaler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"state": "<string>",
"started": "2023-11-07T05:31:56Z",
"serviceId": "<string>",
"serviceProvider": "<string>",
"ended": "2023-11-07T05:31:56Z",
"successUrl": "<string>",
"failureUrl": "<string>",
"cancelUrl": "<string>",
"clientUrl": "<string>"
}Wallet
Get Payment Options For Buying Edaler
Allows the client to initiate the process of getting payment options for buying eDaler.
POST
/
Agent
/
Wallet
/
GetPaymentOptionsForBuyingEDaler
Get Payment Options For Buying Edaler
Overview
Allows the client to initiate the process of getting payment options for buying eDaler.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I